Mojo-APNS 1.01 Fail

Tested by Slaven Rezić (SREZIC), 8. Jun 2018,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

-- Dear Jan Henning Thorsen,

This is a computer-generated report for Mojo-APNS-1.01 on perl 5.24.0, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN. However, there was a problem testing your distribution.

If you think this report is invalid, please consult the CPAN Testers Wiki for suggestions on how to avoid getting FAIL reports for missing library or binary dependencies, unsupported operating systems, and so on:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Program output

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/opt/perl-5.24.0/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t

#   Failed test 'use Mojo::APNS'
#   at t/00-basic.t line 32.
# Can't locate Mojo/Promise.pm in @INC (you may need to install the Mojo::Promise module) (@INC contains: /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/arch /opt/perl-5.24.0/lib/site_perl/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/site_perl/5.24.0 /opt/perl-5.24.0/lib/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/5.24.0 .) at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
# BEGIN failed--compilation aborted at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
# Compilation failed in require at (eval 12) line 1.
# BEGIN failed--compilation aborted at (eval 12) line 1.

#   Failed test 'Pod coverage on Mojo::APNS'
#   at t/00-basic.t line 34.
# Mojo::APNS: requiring 'Mojo::APNS' failed
# Looks like you failed 2 tests of 7.
t/00-basic.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/7 subtests 
Can't locate Mojo/Promise.pm in @INC (you may need to install the Mojo::Promise module) (@INC contains: /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/arch /opt/perl-5.24.0/lib/site_perl/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/site_perl/5.24.0 /opt/perl-5.24.0/lib/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/5.24.0 .) at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
BEGIN failed--compilation aborted at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
Compilation failed in require at t/basic.t line 4.
BEGIN failed--compilation aborted at t/basic.t line 4.
t/basic.t ..... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
Can't locate Mojo/Promise.pm in @INC (you may need to install the Mojo::Promise module) (@INC contains: /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/arch /opt/perl-5.24.0/lib/site_perl/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/site_perl/5.24.0 /opt/perl-5.24.0/lib/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/5.24.0 .) at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
BEGIN failed--compilation aborted at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
Compilation failed in require at t/feedback.t line 3.
BEGIN failed--compilation aborted at t/feedback.t line 3.
t/feedback.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
Can't locate Mojo/Promise.pm in @INC (you may need to install the Mojo::Promise module) (@INC contains: /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/arch /opt/perl-5.24.0/lib/site_perl/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/site_perl/5.24.0 /opt/perl-5.24.0/lib/5.24.0/x86_64-linux /opt/perl-5.24.0/lib/5.24.0 .) at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
BEGIN failed--compilation aborted at /home/cpansand/.cpan/build/2018060806/Mojo-APNS-1.01-2/blib/lib/Mojo/APNS.pm line 7.
Compilation failed in require at t/send.t line 3.
BEGIN failed--compilation aborted at t/send.t line 3.
t/send.t ...... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 

Test Summary Report
-------------------
t/00-basic.t (Wstat: 512 Tests: 7 Failed: 2)
  Failed tests:  1, 3
  Non-zero exit status: 2
t/basic.t   (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/feedback.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/send.t    (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=4, Tests=7,  1 wallclock secs ( 0.01 usr  0.01 sys +  0.28 cusr  0.13 csys =  0.43 CPU)
Result: FAIL
Failed 4/4 test programs. 2/7 subtests failed.
make: *** [test_dynamic] Error 2

Prerequisites

Requires

Build requires

Configure requires

Tester comments

none provided

Environment and other context

Environment variables:

    LANG = en_US.UTF-8
    LANGUAGE = en_US:en
    LC_ALL = en_US.UTF-8
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/linux-gnu:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/home/eserte/src/srezic-misc/scripts
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 23537
    PERL5_CPAN_IS_RUNNING = 23537
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 23186,23537
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2018060806/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_PARALLEL_SMOKER = yes
    PERL_USE_UNSAFE_INC = 1
    SHELL = /bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2018060806

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /opt/perl-5.24.0/bin/perl
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.14    
    CPAN::Meta          2.150010
    Cwd                 3.63    
    ExtUtils::CBuilder  0.280225
    ExtUtils::Command   7.24    
    ExtUtils::Install   2.04    
    ExtUtils::MakeMaker 7.24    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.31    
    File::Spec          3.63    
    JSON                2.90    
    JSON::PP            2.27300 
    Module::Build       0.4220  
    Module::Signature   0.80    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.36    
    Test::More          1.302052
    YAML                1.17    
    YAML::Syck          1.29    
    version             0.9916  


--

Summary of my perl5 (revision 5 version 24 subversion 0) configuration:
   
  Platform:
    osname=linux, osvers=3.2.0-4-amd64, archname=x86_64-linux
    uname='linux cvrsnica-wheezy 3.2.0-4-amd64 #1 smp debian 3.2.54-2 x86_64 gnulinux '
    config_args='-ds -e -Dprefix=/opt/perl-5.24.0 -Dcf_email=srezic@cpan.org'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2',
    optimize='-O2',
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.7.2', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/4.7/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib
    libs=-lpthread -lnsl -ldb -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.13.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.13'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_COPY_ON_WRITE
                        PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE
                        USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_LOCALE_TIME
                        USE_PERLIO USE_PERL_ATOF
  Built under linux
  Compiled at May 30 2016 08:43:25
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="23537"
    PERL5_CPAN_IS_RUNNING="23537"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="23186,23537"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2018060806/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_PARALLEL_SMOKER="yes"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /opt/perl-5.24.0/lib/site_perl/5.24.0/x86_64-linux
    /opt/perl-5.24.0/lib/site_perl/5.24.0
    /opt/perl-5.24.0/lib/5.24.0/x86_64-linux
    /opt/perl-5.24.0/lib/5.24.0